rem Run SEC Edgar Filer Manual (EFM) DQC tests
rem Following example script is for Arelle. 

rem Directory containing the test cases

@set TESTCASESROOT=F:\group2\edgar-xbrl-team\user-herm\dqc-testcases\DQC-certification-test.xml
rem Main test case index file in the test cases directory
@set TESTCASESINDEXFILE=%TESTCASESROOT%

@ rem location for output result log files
@set LOGDIR=F:\group2\edgar-xbrl-team\user-devendra\dqc\temp

del/q %LOGDIR%\EDGAR-DQC-test-*

@set OUTPUTLOGFILE=%LOGDIR%\EDGAR-DQC-test-log.txt
@set OUTPUTERRFILE=%LOGDIR%\EDGAR-DQC-test-err.txt
@set OUTPUTXLSXFILE=%LOGDIR%\EDGAR-DQC-test-report.xlsx

rem for running from source code
@set ARELLECMDLINESRC=F:\group2\sec-arelle\arelle-src\arelleCmdLine.py
@set PYTHONPATH=c:\Python38\python.exe


"%PYTHONPATH%" %ARELLECMDLINESRC% --file "%TESTCASESINDEXFILE%" --plugins EdgarRenderer --disclosureSystem efm-pragmatic --validate --csvTestReport "%OUTPUTXLSXFILE%" --testcaseResultsCaptureWarnings --logFile "%OUTPUTLOGFILE%" 2>  "%OUTPUTERRFILE%"

